function [y] = ftest1(x)
% *************************************************************************
% Test function attached to the FSEDA code
% *************************************************************************
% The FSEDA Code is created on March 27, 2019 by A. Hedar & A.A. Allam
% The code is modified on Sep. 20, 2020.
% *************************************************************************

% Ackley Function 
global noise nSample
n   = length(x);
a   = 20; b = 0.2; c = 2*pi;
s1  = sum(x.^2); s2 = sum(cos(c*x));
t1  = exp(-b*sqrt(s1/n));
t2  = exp(1) - exp(s2/n);

if noise == 0
    y = a * (1-t1) + t2;
elseif noise == 2
    y = a * (1-t1) + t2 + mean(normrnd(0,0.2,[1,nSample]));
else
    y = a * (1-t1) + t2 + normrnd(0,0.2);    
end

end