function [y] = ftest3(x)
% *************************************************************************
% Test function attached to the FSEDA code
% *************************************************************************
% The FSEDA Code is created on March 27, 2019 by A. Hedar & A.A. Allam
% The code is modified on Sep. 20, 2020.
% *************************************************************************

% Axis Parallel Function 
global noise nSample

n = length(x);
sum = 0;
for i = 1 :n 
    sum = sum + i * x(i)^2;
end

if noise == 0
    y = sum;
elseif noise == 2
    y = sum + mean(normrnd(0,0.2,[1,nSample]));
else
    y = sum + normrnd(0,0.2);    
end

end